Get Application Monitoring Config

Get Application Monitoring Config
Get additional monitoring rules configuration for an application

Retrieve the current additional monitoring rules configuration for a specific application.

Returns the list of DFW rules the user has configured to monitor for this application, along with standard resource metadata (_revision, _create_time, etc.).

The {application-id} comes from the id field in POST /monitoring/applications/results-by-app results. To modify the configuration, use PUT /monitoring/applications/{application-id}/monitoring-config.

Request
URI
GET
https://{api_host}/intelligence/monitoring/applications/{application-id}/monitoring-config
COPY
Path Parameters
string
application-id
Required  

The unique identifier of the application (UUID from POST /monitoring/applications/results-by-app)

application-id example
398d1f18-cbdf-4960-b881-bb4e160952a8

Authentication
This operation uses the following authentication methods.
Responses
200

OK. Successfully retrieved monitoring configuration.

Returns ApplicationMonitoringConfigV2 of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineApplicationMonitoringConfigV21
{
    "application_id": "398d1f18-cbdf-4960-b881-bb4e160952a8",
    "id": "398d1f18-cbdf-4960-b881-bb4e160952a8",
    "_revision": 0,
    "_create_user": "system",
    "_create_time": 1781207203610,
    "additional_rules_request": {
        "rules": []
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/monitoring/applications/{application-id}/monitoring-config